import { Directive, ElementRef, Input } from '@angular/core';
var RlDatepickerPopupDirective = (function () {
    function RlDatepickerPopupDirective(el) {
        this.alignment = {};
        this.element = el;
        el.nativeElement.style.position = 'absolute';
        el.nativeElement.style.top = '5px';
        el.nativeElement.style.left = '-25px';
        el.nativeElement.style['z-index'] = '1035';
        el.nativeElement.style['background-color'] = '#f5f5f5';
        el.nativeElement.style['padding-bottom'] = '5px';
        el.nativeElement.style['border-bottom'] = 'rgb(227, 227, 227) 1px solid';
        if (Object.keys(this.alignment).length) {
            for (var key in this.alignment) {
                el.nativeElement.style[key] = this.alignment[key] + 'px !important';
            }
        }
    }
    RlDatepickerPopupDirective.prototype.ngOnChanges = function (changes) {
        if (changes.open && changes.open.currentValue) {
            this.element.nativeElement.style.display = 'block';
        }
        else if (changes.open) {
            this.element.nativeElement.style.display = 'none';
        }
    };
    __decorate([
        Input(),
        __metadata("design:type", Boolean)
    ], RlDatepickerPopupDirective.prototype, "open", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Object)
    ], RlDatepickerPopupDirective.prototype, "alignment", void 0);
    RlDatepickerPopupDirective = __decorate([
        Directive({
            selector: '[rlDatepickerPopup]'
        }),
        __metadata("design:paramtypes", [ElementRef])
    ], RlDatepickerPopupDirective);
    return RlDatepickerPopupDirective;
}());
export { RlDatepickerPopupDirective };
//# sourceMappingURL=datepicker-popup.directive.js.map