import { Directive, ElementRef, Input, OnChanges } from '@angular/core';

export interface IRlDatepickerPopupAlignment {
  left?: number;
  right?: number;
  top?: number;
  bottom?: number;
}

@Directive({
  selector: '[rlDatepickerPopup]'
})
export class RlDatepickerPopupDirective implements OnChanges {
  @Input() open: boolean;
  @Input() alignment: IRlDatepickerPopupAlignment = {};
  element: ElementRef;

  constructor(el: ElementRef) {
    this.element = el;
    el.nativeElement.style.position = 'absolute';
    el.nativeElement.style.top = '5px';
    el.nativeElement.style.left = '-25px';
    el.nativeElement.style['z-index'] = '1035';
    el.nativeElement.style['background-color'] = '#f5f5f5';
    el.nativeElement.style['padding-bottom'] = '5px';
    el.nativeElement.style['border-bottom'] = 'rgb(227, 227, 227) 1px solid';

    if(Object.keys( this.alignment ).length){
      for(let key in this.alignment ){
        el.nativeElement.style[key] = this.alignment[key] + 'px !important';
      }
    }
  }

  ngOnChanges(changes) {
    if (changes.open && changes.open.currentValue) {
      this.element.nativeElement.style.display = 'block';
    } else if (changes.open) {
      this.element.nativeElement.style.display = 'none';
    }
  }

}