import { Directive, forwardRef, Input } from '@angular/core';
import { AbstractControl, NG_VALIDATORS, Validator, ValidatorFn } from '@angular/forms';

@Directive ({
  selector : '[datepickerValidator][ngModel],[datepickerValidator][ngFormControl]',
  providers: [ {
    multi      : true,
    provide    : NG_VALIDATORS,
    useExisting: forwardRef (() => DatepickerValidatorDirective)
  } ]
})
export class DatepickerValidatorDirective implements Validator {
  @Input () datepickerValidator: ValidatorFn;

  validate (control: AbstractControl): { [key: string]: any; } {
    return this.datepickerValidator (control);
  }

}