import { AbstractControl, ValidatorFn } from '@angular/forms';
import { ItoDate } from './past-date.validator';

export function futureDateValidator (toDate?: AbstractControl | ItoDate): ValidatorFn {
  return (control: AbstractControl): { [key: string]: any } => {

    if (!toDate) toDate = {
      value: new Date ()
    };

    let result = null;

    if (control.value) {

      const comp1 = new Date (control.value); //.setHours (0, 0, 0, 0);
      const comp2 = new Date (toDate.value); //.setHours (0, 0, 0, 0);


      try {
        result = comp1 > comp2 ? {futureDate: true} : null;
      } catch (e) {
      }

      //comparing strings
      result = comp1.toString () === comp2.toString () ? null : result;


    }

    return result;


  };
}
